/**
 * Clase encargada de la administracin de las direcciones.
 * @author Gunther Bevensee, Claudio Castro, Marcelo Rute.
 */

public class Direccion {
	/**
	 * Constructor de la clase En base los parmetros nombre y distancia crea un objeto direccin y un ndice
	 * @param ndice indica el numero que ocupa la direccin en el arreglo
	 * @param S permite ingresar el nombre de la calle y numero a la direccion
	 * @param d ingresa la distancia desde el centro hasta la direccion
	 */

 Direccion(int indice,String S, double d) {
        //throw new UnsupportedOperationException("Not yet implemented");
     dire=S;
     distancia=d;
     i=indice;
     }
 /**
  * Permite obtener el ndice dentro del arreglo
  * @return retorna el ndice que ocupa la direccin en el arreglo
  */

public int getIndice(){
return(i);    
}
         

/**
 * Permite obtener el nombre de la direccin
 * @return retorna el nombre de la direccin como un string
 */
public String getDireccion(){
return(dire);
}

/**
 *  Permite obtener la distancia desde un punto a la direccin
 * @return retorna un valor double que corresponde a la distancia calculada entre el centro y la direccin
 */
public double getDistancia(){
return(distancia);
}

private int i;
private String dire;
private double distancia;
}
